
Declare @tbl table(repid int,userid int,securityrights int)
DECLARE tnames_cursor CURSOR
FOR
	select SGVault.dbo.tblrepositories.repid, SGVault.dbo.tblrepositoryaccess.xid
	from SGVault.dbo.tblrepositories
	INNER JOIN SGVault.dbo.tblrepositoryaccess ON SGVault.dbo.tblrepositories.repid = SGVault.dbo.tblrepositoryaccess.repid
OPEN tnames_cursor
Declare @repid int
Declare @userid int
FETCH NEXT FROM tnames_cursor INTO @repid,@userid
WHILE (@@FETCH_STATUS <> -1)
BEGIN
   IF (@@FETCH_STATUS <> -2)
   BEGIN   
      insert into @tbl
      SELECT @repid,@userid,x.securityrights from SGVault.dbo.ufngetusersecurityrights(@repid,@userid,default) x
   END
   FETCH NEXT FROM tnames_cursor INTO @repid,@userid
END
select sgmaster.dbo.users.login AS 'ID', SGVault.dbo.tblrepositories.name AS 'Repository',
	  CASE MAX(x.Securityrights)
		 WHEN 0 THEN 'NONE'
         WHEN 1 THEN 'READ'
         WHEN 3 THEN 'READ & CHECK OUT/CHECK IN'
         WHEN 7 THEN 'READ & CHECK OUT/CHECK IN & ADD/RENAME/DELETE'
      END AS 'Rights'
	  ,CASE sgmaster.dbo.users.active
         WHEN 0 THEN 'INACTIVE'
         WHEN 1 THEN 'ACTIVE'
      END AS 'Status'
FROM  SGVault.dbo.tblrepositories 
INNER JOIN @tbl x ON SGVault.dbo.tblrepositories.repid = x.repid 
INNER JOIN sgmaster.dbo.users ON x.userid = sgmaster.dbo.users.userid
where x.Securityrights <> 0
group by sgmaster.dbo.users.login, SGVault.dbo.tblrepositories.name, sgmaster.dbo.users.active
order by sgmaster.dbo.users.login, SGVault.dbo.tblrepositories.name, sgmaster.dbo.users.active
    
CLOSE tnames_cursor
DEALLOCATE tnames_cursor